summaryrefslogtreecommitdiffstats
path: root/source/ap/linuxdoc-tools
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/linuxdoc-tools')
-rw-r--r--source/ap/linuxdoc-tools/ChangeLog.txt52
-rwxr-xr-xsource/ap/linuxdoc-tools/arm/build4
-rwxr-xr-xsource/ap/linuxdoc-tools/linuxdoc-tools.build79
-rw-r--r--source/ap/linuxdoc-tools/sources/asciidoc.asciidoc7compatible.revertbrokenchange.diff80
-rw-r--r--source/ap/linuxdoc-tools/sources/gtk-doc.patch25
-rw-r--r--source/ap/linuxdoc-tools/sources/gtkdoc-1.13-fixref.patch69
-rwxr-xr-xsource/ap/linuxdoc-tools/sources/source.download28
-rwxr-xr-xsource/ap/linuxdoc-tools/trackbuild.linuxdoc-tools5
8 files changed, 224 insertions, 118 deletions
diff --git a/source/ap/linuxdoc-tools/ChangeLog.txt b/source/ap/linuxdoc-tools/ChangeLog.txt
index ef6c0a2c2..16d8783f2 100644
--- a/source/ap/linuxdoc-tools/ChangeLog.txt
+++ b/source/ap/linuxdoc-tools/ChangeLog.txt
@@ -1,3 +1,55 @@
+Mon Mar 21 17:39:48 UTC 2011
+ Patrick Volkerding <volkerdi@slackware.com>
+ linuxdoc-tools 0.9.66, build 8
+ Upgraded to gnome-doc-utils-0.20.4.
+
+Wed Jan 26 18:08:43 UTC 2011
+ Patrick Volkerding <volkerdi@slackware.com>
+ linuxdoc-tools 0.9.66, build 7
+ Rebuild for perl-5.12.3.
+
+Sat Jan 1 21:44:58 UTC 2011
+ Patrick Volkerding <volkerdi@slackware.com>
+ linuxdoc-tools 0.9.66, build 6
+ Rebuild for perl-5.12.2.
+
+Thu Nov 11 13:37:42 CST 2010
+ Patrick Volkerding <volkerdi@slackware.com>
+ linuxdoc-tools 0.9.66, build 5
+ Fixes:
+ * asciidoc: Patched to revert a change that broke processing the
+ documentation for git.
+
+Tue Oct 19 16:10:42 BST 2010
+ Stuart Winter <mozes@slackware.com>
+ linuxdoc-tools 0.9.66, build 4
+ Upgraded a couple of component packages:
+ * gnome-doc-utils-0.20.2
+ * asciidoc-8.6.2.
+ Fixes:
+ * gtk-doc: Patched to fix a problem with vim.
+ Thanks to Trev Carey-Smith for the report and Robby Workman for
+ finding the patch.
+
+Sun Jul 25 12:40:07 BST 2010
+ Stuart Winter <mozes@slackware.com>
+ linuxdoc-tools 0.9.66, build 3
+ Upgraded a few component packages:
+ * Upgraded to gtk-doc-1.15
+ * Upgraded to asciidoc-8.5.3
+ * Upgraded to gnome-doc-tools-0.20.1
+ Thanks to Steve Kennedy for the notification about the new version.
+ * Updated various packages to include more recent patches from Fedora.
+ * Changed build script to use rpm2cpio instead of rpm2tgz because
+ with different builds/versions of rpm2tgz (or "rpm" - I'm not sure
+ what causes the change) the "tgz" that is created flips back and
+ forth between having the content in a sub directory, or the root
+ of the archive.
+ Using rpm2cpio means that as a minimum you need seamonkey-solibs
+ installed because rpm2cpio requires libnss3.so. Mozilla-FireFox
+ & Thunderbird also contain this library. Slackware is built on a
+ full system, so this shouldn't pose a problem.
+
Wed Feb 10 10:02:16 GMT 2010
Stuart Winter <mozes@slackware.com>
linuxdoc-tools 0.9.66, build 2.
diff --git a/source/ap/linuxdoc-tools/arm/build b/source/ap/linuxdoc-tools/arm/build
index 3f29e62ca..eb4f18c83 100755
--- a/source/ap/linuxdoc-tools/arm/build
+++ b/source/ap/linuxdoc-tools/arm/build
@@ -11,7 +11,7 @@ source /usr/share/slackdev/buildkit.sh
export PKGNAM=linuxdoc-tools
export VERSION=${VERSION:-0.9.66}
export PKGARCH=${PKGARCH:-arm}
-export BUILD=${BUILD:-2}
+export BUILD=${BUILD:-4}
export PKGSERIES=${PKGSERIES:-ap}
export SLACKPACKAGE=$PKGNAM-$VERSION-$PKGARCH-$BUILD.tgz
export PKGEXT=${PKGEXT:-tgz}
@@ -45,4 +45,4 @@ BUILDLOG=$( basename $SLACKPACKAGE .tgz ).build.log
( ./trackbuild.$PKGNAM ) >& /dev/stdout | tee $BUILDLOG
# Compress the build log:
-bzip2 -9f $BUILDLOG
+bzip2 -9fvz $BUILDLOG
diff --git a/source/ap/linuxdoc-tools/linuxdoc-tools.build b/source/ap/linuxdoc-tools/linuxdoc-tools.build
index cd95c0f08..fe3506cc9 100755
--- a/source/ap/linuxdoc-tools/linuxdoc-tools.build
+++ b/source/ap/linuxdoc-tools/linuxdoc-tools.build
@@ -25,11 +25,11 @@ DSSSLSTYLESHEETSVER=1.79
SGMLCOMMONVER=0.6.3
OPENJADEVER=1.3.3-pre1
OPENSPVER=1.5.2
-GNOMEDOCUTILSVER=0.19.1
-GTKDOCVER=1.13
+GNOMEDOCUTILSVER=0.20.4
+GTKDOCVER=1.15
SGMLSPLVER=1.03ii
XMLTOVER=0.0.23
-ASCIIDOCVER=8.5.2
+ASCIIDOCVER=8.6.2
DOCBOOKUTILSVER=0.6.14
# Determine the general CFLAGS for the known architectures:
@@ -70,6 +70,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Revert a change that breaks processing the git documentation:
+xz -dc $CWD/sources/asciidoc.asciidoc7compatible.revertbrokenchange.diff.xz | patch --verbose -p1 || exit 1
+
# Configure:
./configure \
--prefix=/usr \
@@ -93,8 +96,7 @@ cp -fav \
# patches that we need:
cd $TMP
mkdir sgml-common && cd sgml-common
-rpm2tgz $CWD/sources/sgml-common-${SGMLCOMMONVER}*.src.rpm
-tar xvf sgml-common-*src.tgz || exit 1
+rpm2cpio $CWD/sources/sgml-common-${SGMLCOMMONVER}*.src.rpm | cpio -div || exit 1
# The real source archive is stored inside the source RPM, you see:
tar xvf sgml-common-$SGMLCOMMONVER.tgz
cd sgml-common-$SGMLCOMMONVER || exit 1
@@ -106,23 +108,27 @@ find . \
-exec chmod 644 {} \;
# Apply patches (these are included in the source rpm):
+# Don't include the XML dir patch because we keep our stuff in /usr/share/sgml.
for i in \
- sgml-common-0.6.3-docdir.patch \
- sgml-common-automake.patch \
sgml-common-quotes.patch \
sgml-common-umask.patch ; do
patch --verbose -p1 < ../$i
done || exit 1
# Configure:
+# autoconf doesn't work anymore..
#aclocal
#automake --add-missing --copy
-autoreconf -vif
+#autoreconf -vif
+# but this does..
+for file in COPYING INSTALL install-sh missing mkinstalldirs; do
+ rm -f $file
+ cp -fav /usr/share/automake-*/$file .
+done
./configure \
--prefix=/usr \
--mandir=/usr/man \
--infodir=/usr/info \
- --with-docdir=/usr/doc \
--sysconfdir=/etc \
|| exit 1
@@ -149,7 +155,7 @@ mkdir sgml-dtd
cd sgml-dtd
# Debian handily package all docbooks past and present in one archive
# but they version number the archive with the latest version.
-tar xvf $CWD/sources/docbook_*orig*.tar.gz
+tar xvf $CWD/sources/docbook_*orig*.tar.*z*
cd docbook* || exit 1
chown -R root:root .
find . \
@@ -253,8 +259,7 @@ EOF
# Extract source:
cd $TMP
mkdir opensp && cd opensp
-rpm2tgz $CWD/sources/opensp-${OPENSPVER}*.src.rpm
-tar xvf opensp*src.tgz
+rpm2cpio $CWD/sources/opensp-${OPENSPVER}*.src.rpm | cpio -div || exit 1
tar xvf OpenSP-$OPENSPVER.tar.gz
cd OpenSP-$OPENSPVER || exit 1
chown -R root:root .
@@ -408,8 +413,8 @@ cp -fav \
cd $TMP
mkdir docbook-dsssl-$DSSSLSTYLESHEETSVER
cd docbook-dsssl-$DSSSLSTYLESHEETSVER
-tar xvf $CWD/sources/docbook-dsssl-$DSSSLSTYLESHEETSVER.tar.bz2 || exit 1
-tar xvf $CWD/sources/docbook-dsssl-doc-$DSSSLSTYLESHEETSVER.tar.bz2 || exit 1
+tar xvf $CWD/sources/docbook-dsssl-$DSSSLSTYLESHEETSVER.tar.*z* || exit 1
+tar xvf $CWD/sources/docbook-dsssl-doc-$DSSSLSTYLESHEETSVER.tar.*z* || exit 1
cd docbook-dsssl-$DSSSLSTYLESHEETSVER || exit 1
chown -R root:root .
find . \
@@ -450,8 +455,7 @@ cp -fav \
# Extract source:
cd $TMP
mkdir docbook-utils && cd docbook-utils
-rpm2tgz $CWD/sources/docbook-utils-${DOCBOOKUTILSVER}*.src.rpm
-tar xvf docbook-utils-*src.tgz
+rpm2cpio $CWD/sources/docbook-utils-${DOCBOOKUTILSVER}*.src.rpm | cpio -div || exit 1
tar xvf docbook-utils-$DOCBOOKUTILSVER.tar.gz
cd docbook-utils-$DOCBOOKUTILSVER || exit 1
chown -R root:root .
@@ -463,13 +467,15 @@ find . \
# Apply patches:
for i in \
- docbook-utils-rtfmanpage.patch \
- docbook-utils-sgmlinclude.patch \
+ docbook-utils-spaces.patch \
docbook-utils-2ndspaces.patch \
+ docbook-utils-w3mtxtconvert.patch \
docbook-utils-grepnocolors.patch \
- docbook-utils-spaces.patch \
- docbook-utils-w3mtxtconvert.patch ; do
- patch --verbose -p1 < ../$i
+ docbook-utils-sgmlinclude.patch \
+ docbook-utils-rtfmanpage.patch \
+ docbook-utils-papersize.patch \
+ docbook-utils-nofinalecho.patch ; do
+ patch --verbose -p1 < ../$i
done || exit 1
# Configure:
@@ -486,6 +492,11 @@ make || exit 1
# Install:
make install htmldir=/usr/doc/docbook-utils-$DOCBOOKUTILSVER/html || exit 1
+# grep-2.7 demands [[:space:]] instead of [:space:]
+if ! fgrep '[[:space:]]' /usr/bin/jw ; then
+ sed -i "s/\[:space:\]/\[\[:space:\]\]/g" /usr/bin/jw
+fi
+
# db2html is not just a symlink, as it has to create the output directory:
rm -f /usr/bin/db2html
install -vpm755 ../db2html /usr/bin
@@ -661,8 +672,7 @@ cp -favv \
# Extract source:
cd $TMP
mkdir docbook-style-xsl && cd docbook-style-xsl
-rpm2tgz $CWD/sources/docbook-style-xsl-${XSLSTYLESHEETSVER}*.src.rpm
-tar xvf docbook-style-xsl*.tgz
+rpm2cpio $CWD/sources/docbook-style-xsl-${XSLSTYLESHEETSVER}*.src.rpm | cpio -div || exit 1
tar xvf docbook-xsl-$XSLSTYLESHEETSVER.tar.bz2
# This unpacks atop of the main tree:
tar xvf docbook-xsl-doc-$XSLSTYLESHEETSVER.tar.bz2
@@ -731,7 +741,10 @@ cp -fav doc/* README* RELEASE-NOTES* NEWS* \
# Extract source:
cd $TMP
-tar xvf $CWD/sources/xmlto-$XMLTOVER.tar.*z*
+mkdir xmlto && cd xmlto
+#tar xvf $CWD/sources/xmlto-$XMLTOVER.tar.*z*
+rpm2cpio $CWD/sources/xmlto-${XMLTOVER}*.src.rpm | cpio -div || exit 1
+tar xvvf xmlto-$XMLTOVER.tar.*z*
cd xmlto-$XMLTOVER || exit 1
chown -R root:root .
find . \
@@ -740,6 +753,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Apply patches:
+patch --verbose -p1 < ../xmlto-0.0.23-Lchapterpassivetex.patch || exit 1
+
# Configure:
./configure \
--prefix=/usr \
@@ -763,7 +779,7 @@ cp -fav \
# Extract source:
cd $TMP
-tar xvf $CWD/sources/libsgmls-perl_$SGMLSPLVER.orig.tar.gz || exit 1
+tar xvf $CWD/sources/libsgmls-perl_$SGMLSPLVER.orig.tar.*z* || exit 1
cd libsgmls-perl-$SGMLSPLVER.orig
chown -R root:root .
find . \
@@ -771,7 +787,7 @@ find . \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/sources/libsgmls-perl_$SGMLSPLVER-*.diff.gz | patch -p1 || exit 1
+xz -dc $CWD/sources/libsgmls-perl_$SGMLSPLVER-*.diff.xz | patch -p1 || exit 1
# Configure:
perl Makefile.PL INSTALLDIRS=vendor || exit 1
@@ -798,8 +814,7 @@ cp -fav \
# Extract source:
cd $TMP
mkdir linuxdoc-tools && cd linuxdoc-tools
-rpm2tgz $CWD/sources/linuxdoc-tools-${LINUXDOCTOOLSVER}*.src.rpm
-tar xvf linuxdoc-tools*.src.tgz
+rpm2cpio $CWD/sources/linuxdoc-tools-${LINUXDOCTOOLSVER}*.src.rpm | cpio -div || exit 1
tar xvf linuxdoc-tools_$LINUXDOCTOOLSVER.tar.gz
cd linuxdoc-tools-$LINUXDOCTOOLSVER || exit 1
@@ -918,8 +933,8 @@ cp -fav \
# Extract source:
cd $TMP
-tar xvf $CWD/sources/gtk-doc-$GTKDOCVER.tar.bz2 || exit 1
-cd gtk-doc-$GTKDOCVER
+tar xvf $CWD/sources/gtk-doc-$GTKDOCVER.tar.*z*
+cd gtk-doc-$GTKDOCVER || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -927,8 +942,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Apply an upstreamed fix for gtk-doc-1.13:
-bzcat $CWD/sources/gtkdoc-1.13-fixref.patch.bz2 | patch --verbose -p1 || exit 1
+# Apply patch to fix problem with vim:
+xz -dc $CWD/sources/gtk-doc.patch.xz | patch --verbose -p1 || exit 1
# Configure:
./configure \
diff --git a/source/ap/linuxdoc-tools/sources/asciidoc.asciidoc7compatible.revertbrokenchange.diff b/source/ap/linuxdoc-tools/sources/asciidoc.asciidoc7compatible.revertbrokenchange.diff
new file mode 100644
index 000000000..2bdc7de4d
--- /dev/null
+++ b/source/ap/linuxdoc-tools/sources/asciidoc.asciidoc7compatible.revertbrokenchange.diff
@@ -0,0 +1,80 @@
+--- a/asciidoc.py 2010-10-17 14:01:35.000000000 +0800
++++ b/asciidoc.py 2010-10-17 14:11:07.000000000 +0800
+@@ -4260,10 +4260,12 @@
+ self.include1 = {} # Holds include1::[] files for {include1:}.
+ self.dumping = False # True if asciidoc -c option specified.
+
+- def load_file(self,fname,dir=None):
++ def load_file(self, fname, dir=None, include=[]):
+ """
+ Loads sections dictionary with sections from file fname.
+ Existing sections are overlaid.
++ The 'include' list contains the section names to be loaded,
++ if 'inlude' is not specified all sections are loaded.
+ Return False if no file was found in any of the locations.
+ """
+ if dir:
+@@ -4317,9 +4319,14 @@
+ else:
+ sections[section] = contents
+ rdr.close()
++ if include:
++ for s in set(sections) - set(include):
++ del sections[s]
+ attrs = {}
+ self.load_sections(sections,attrs)
+- self.loaded.append(os.path.realpath(fname))
++ if not include:
++ # If all sections are loaded mark this file as loaded.
++ self.loaded.append(os.path.realpath(fname))
+ document.update_attributes(attrs) # So they are available immediately.
+ return True
+
+@@ -5314,13 +5321,17 @@
+ if o == '-c': config.dumping = True
+ if o == '-s': config.header_footer = False
+ if o == '-v': config.verbose = True
+- # Check the infile exists.
+- if infile != '<stdin>' and not os.path.isfile(infile):
+- raise EAsciiDoc,'input file %s missing' % infile
+- document.infile = infile
+ # Load asciidoc.conf files.
+ if not config.load_from_dirs('asciidoc.conf'):
+ raise EAsciiDoc,'configuration file asciidoc.conf missing'
++ # Check the infile exists.
++ if infile != '<stdin>':
++ if not os.path.isfile(infile):
++ raise EAsciiDoc,'input file %s missing' % infile
++ indir = os.path.dirname(infile)
++ config.load_file('asciidoc.conf', indir,
++ ['attributes','titles','specialchars'])
++ document.infile = infile
+ AttributeList.initialize()
+ # Open input file and parse document header.
+ reader.tabsize = config.tabsize
+@@ -5343,10 +5354,9 @@
+ document.load_lang()
+ # Load local conf files (conf files in the input file directory).
+ if infile != '<stdin>':
+- d =os.path.dirname(infile)
+- config.load_from_dirs('asciidoc.conf', [d])
+- config.load_backend([d])
+- config.load_filters([d])
++ config.load_file('asciidoc.conf', indir)
++ config.load_backend([indir])
++ config.load_filters([indir])
+ # Load document specific configuration files.
+ f = os.path.splitext(infile)[0]
+ config.load_file(f + '.conf')
+--- a/doc/asciidoc.txt 2010-10-17 14:11:34.000000000 +0800
++++ b/doc/asciidoc.txt 2010-10-17 14:13:21.000000000 +0800
+@@ -3632,6 +3632,8 @@
+ the following order:
+
+ - `asciidoc.conf` from locations 1, 2, 3.
++- 'attributes', 'titles' and 'specialcharacters' sections from the
++ `asciidoc.conf` in location 4.
+ - The document header is parsed at this point.
+ - `<backend>.conf` and `<backend>-<doctype>.conf` from locations 1,
+ 2,3.
+
diff --git a/source/ap/linuxdoc-tools/sources/gtk-doc.patch b/source/ap/linuxdoc-tools/sources/gtk-doc.patch
new file mode 100644
index 000000000..bf32d5574
--- /dev/null
+++ b/source/ap/linuxdoc-tools/sources/gtk-doc.patch
@@ -0,0 +1,25 @@
+From 2bffebcf9c125f5610b8fb660d42c3c5b9dfd4f0 Mon Sep 17 00:00:00 2001
+From: Stefan Kost <ensonic@users.sf.net>
+Date: Thu, 19 Aug 2010 14:45:54 +0000
+Subject: fixxref: tweak the vim invocation
+
+Use specific output-filename to ensure we get what we'll late use. Use "-u NONE"
+instead of -u /dev/null.
+Fixes #627223
+---
+diff --git a/gtkdoc-fixxref.in b/gtkdoc-fixxref.in
+index 33a31b8..9f53852 100755
+--- a/gtkdoc-fixxref.in
++++ b/gtkdoc-fixxref.in
+@@ -464,7 +464,7 @@ sub HighlightSourceVim {
+ close (NEWFILE);
+
+ # format source
+- system "echo 'let html_number_lines=0|let html_use_css=1|let use_xhtml=1|syn on|e $temp_source_file|run! syntax/2html.vim|wa!|qa!' | @HIGHLIGHT@ -n -e -u /dev/null -T xterm >/dev/null";
++ system "echo 'let html_number_lines=0|let html_use_css=1|let use_xhtml=1|syn on|e $temp_source_file|run! syntax/2html.vim|w! $temp_source_file.html|qa!' | @HIGHLIGHT@ -n -e -u NONE -T xterm >/dev/null";
+
+ my $highlighted_source;
+ {
+--
+cgit v0.8.3.1
+
diff --git a/source/ap/linuxdoc-tools/sources/gtkdoc-1.13-fixref.patch b/source/ap/linuxdoc-tools/sources/gtkdoc-1.13-fixref.patch
deleted file mode 100644
index 89b062dee..000000000
--- a/source/ap/linuxdoc-tools/sources/gtkdoc-1.13-fixref.patch
+++ /dev/null
@@ -1,69 +0,0 @@
-diff -up gtk-doc-1.13/gtkdoc-fixxref.in.fix-fixxref gtk-doc-1.13/gtkdoc-fixxref.in
---- gtk-doc-1.13/gtkdoc-fixxref.in.fix-fixxref 2009-12-17 14:36:51.000000000 -0500
-+++ gtk-doc-1.13/gtkdoc-fixxref.in 2010-01-06 17:56:55.457121567 -0500
-@@ -168,36 +168,38 @@ foreach my $dir (@EXTRA_DIRS) {
- }
- }
-
--open (INPUT, "$MODULE-sections.txt")
-- || die "Can't open $MODULE-sections.txt: $!";
--my $subsection = "";
--while (<INPUT>) {
-- if (m/^#/) {
-- next;
--
-- } elsif (m/^<SECTION>/) {
-- $subsection = "";
-- } elsif (m/^<SUBSECTION\s*(.*)>/i) {
-- $subsection = $1;
-- } elsif (m/^<SUBSECTION>/) {
-- next;
-- } elsif (m/^<TITLE>(.*)<\/TITLE>/) {
-- next;
-- } elsif (m/^<FILE>(.*)<\/FILE>/) {
-- next;
-- } elsif (m/^<INCLUDE>(.*)<\/INCLUDE>/) {
-- next;
-- } elsif (m/^<\/SECTION>/) {
-- next;
-- } elsif (m/^(\S+)/) {
-- my $symbol=CreateValidSGMLID($1);
--
-- if ($subsection eq "Standard" || $subsection eq "Private") {
-- $NoLinks{$symbol} = 1;
-+if (defined($MODULE)) {
-+ open (INPUT, "$MODULE-sections.txt")
-+ || die "Can't open $MODULE-sections.txt: $!";
-+ my $subsection = "";
-+ while (<INPUT>) {
-+ if (m/^#/) {
-+ next;
-+
-+ } elsif (m/^<SECTION>/) {
-+ $subsection = "";
-+ } elsif (m/^<SUBSECTION\s*(.*)>/i) {
-+ $subsection = $1;
-+ } elsif (m/^<SUBSECTION>/) {
-+ next;
-+ } elsif (m/^<TITLE>(.*)<\/TITLE>/) {
-+ next;
-+ } elsif (m/^<FILE>(.*)<\/FILE>/) {
-+ next;
-+ } elsif (m/^<INCLUDE>(.*)<\/INCLUDE>/) {
-+ next;
-+ } elsif (m/^<\/SECTION>/) {
-+ next;
-+ } elsif (m/^(\S+)/) {
-+ my $symbol=CreateValidSGMLID($1);
-+
-+ if ($subsection eq "Standard" || $subsection eq "Private") {
-+ $NoLinks{$symbol} = 1;
-+ }
- }
- }
-+ close (INPUT);
- }
--close (INPUT);
-
- &FixCrossReferences ($MODULE_DIR);
-
diff --git a/source/ap/linuxdoc-tools/sources/source.download b/source/ap/linuxdoc-tools/sources/source.download
index 410009021..40e05d218 100755
--- a/source/ap/linuxdoc-tools/sources/source.download
+++ b/source/ap/linuxdoc-tools/sources/source.download
@@ -7,8 +7,7 @@
# linuxdoc-tools:
# This provides things such as sgml2txt.
-wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/linuxdoc-tools-0.9.66-4.fc13.src.rpm
-
+wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/linuxdoc-tools-0.9.66-6.fc14.src.rpm
# OpenSP:
# http://openjade.sourceforge.net/download.html
@@ -25,7 +24,7 @@ wget -c http://downloads.sourceforge.net/openjade/openjade-1.3.3-pre1.tar.gz
# sgmltools-common.
# It's broken and needs patching so we'll use Fedora's.
#wget -c ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/sgml-common-0.6.3.tgz
-wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/sgml-common-0.6.3-31.fc13.src.rpm
+wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/sgml-common-0.6.3-33.fc14.src.rpm
# DocBook docs:
@@ -44,14 +43,12 @@ wget -c ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles/docbook-dsssl-1.79.tar
wget -c http://switch.dl.sourceforge.net/sourceforge/docbook/docbook-dsssl-doc-1.79.tar.bz2
# Why don't they put the patches into the distributed source...???
#wget -c ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/docbook-utils-0.6.14.tar.gz
-wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/docbook-utils-0.6.14-23.fc13.src.rpm
-
+wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/docbook-utils-0.6.14-24.fc14.src.rpm
#
wget -c http://www.docbook.org/xml/4.5/docbook-xml-4.5.zip
# https://sourceforge.net/project/showfiles.php?group_id=21935&package_id=16608
-wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/docbook-style-xsl-1.75.2-5.fc13.src.rpm
-
+wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/docbook-style-xsl-1.75.2-6.fc14.src.rpm
# We use the Fedora "docbook-style-xsl" SRPM for this rather than the original source which is why
# these "docbook-xsl*" files aren't in our sources directory.
@@ -60,15 +57,18 @@ wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/
# gnome-doc-utils, needed to build gtk-doc:
-wget -c http://ftp.acc.umu.se/pub/GNOME/sources/gnome-doc-utils/0.19/gnome-doc-utils-0.19.1.tar.bz2
-
+# Recompressed with LZMA after download.
+# I guess this mirror is out of date now. It's easier to just look at Fedora's development
+# directory anyway :-)
+# wget -c http://ftp.acc.umu.se/pub/GNOME/sources/gnome-doc-utils/0.20/gnome-doc-utils-0.20.0.tar.bz2
+wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/gnome-doc-utils-0.20.1-1.fc14.src.rpm
# gtk-doc:
# When upgrading this, it's worth checking the Fedora SRPM. For version 1.13
# we're carrying a fix for gtk-doc-fixref. Make sure newer versions don't need
# any patches!
-wget -c http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.13/gtk-doc-1.13.tar.bz2
-
+wget -c http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.15/gtk-doc-1.15.tar.bz2
+# http://git.gnome.org/browse/gtk-doc/commit/?id=2bffebcf9c125f5610b8fb660d42c3c5b9dfd4f0
# sgmlspl
# http://www.cs.indiana.edu/~asengupt/sgml/SGMLSpm/DOC/HTML/sgmlspl/sgmlspl.html
@@ -79,9 +79,11 @@ wget -c http://ftp.de.debian.org/debian/pool/main/libs/libsgmls-perl/libsgmls-pe
# xmlto
# https://fedorahosted.org/releases/x/m/xmlto
-wget -c --no-check-certificate https://fedorahosted.org/releases/x/m/xmlto/xmlto-0.0.23.tar.bz2
+# wget -c --no-check-certificate https://fedorahosted.org/releases/x/m/xmlto/xmlto-0.0.23.tar.bz2
+# Fedora 14 includes a patch, so we'll take it:
+wget -c ftp://ftp.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/source/SRPMS/xmlto-0.0.23-3.fc13.src.rpm
# AsciiDoc
# http://www.methods.co.nz/asciidoc/
-wget -c "http://downloads.sourceforge.net/project/asciidoc/asciidoc/8.5.2/asciidoc-8.5.2.tar.gz?use_mirror=ignum"
+wget -c "http://sourceforge.net/projects/asciidoc/files/asciidoc/8.6.2/asciidoc-8.6.2.tar.gz/download"
diff --git a/source/ap/linuxdoc-tools/trackbuild.linuxdoc-tools b/source/ap/linuxdoc-tools/trackbuild.linuxdoc-tools
index 9533bd861..e6f230020 100755
--- a/source/ap/linuxdoc-tools/trackbuild.linuxdoc-tools
+++ b/source/ap/linuxdoc-tools/trackbuild.linuxdoc-tools
@@ -14,6 +14,7 @@
# a/rpm2tgz to unpack some SRPMs
# d/python for AsciiDoc
# l/libxslt
+# l/seamonkey-solibs for rpm2cpio
# t/tetex (not required for a bootstrap build, but will be required
# later for a full build of this linuxdoc-tools package).
@@ -31,7 +32,7 @@ if [ -z "$ARCH" ]; then
fi
export PKGVERSION=0.9.66 # use the version of linuxdoc-tools as the package version.
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-8}
PKGEXT=${PKGEXT:-txz}
export CWD=$PWD
@@ -80,4 +81,4 @@ slacktrack $TFS \
-rYQOcp $PKGNAM-$PKGVERSION-$ARCH-$BUILD.$PKGEXT ./linuxdoc-tools.build
# Compress build log:
-xz -fvz $CWD/build.$ARCH.log
+bzip2 -9fvz $CWD/build.$ARCH.log